Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 01-04-03, 03:14 PM   #1
Ballatom
Registered User
 
Join Date: Jan 2003
Posts: 5
Default Slackware 8.1 failed dependencies

Hi,

I have dowloaded the source RPMS 4191 but after

rpm --rebuild

when I try

rpm -ivh /usr/src.../NVIDIA_kernel...

I get the error

error: failed dependencies:
kernel >= 2.2.0 is needed by NVIDIA...
rpm >= 3.0.4 is needed by NVIDIA...
/bin/sh is needed by NVIDIA...

though I have kernel 2.4.18 and rpm 4.0.2. I recompiled a kernel this morning as I had read that kernels from the CD might not have been compiled by the same gcc compiler... but it didn't help.

Any suggestion welcome.

Marc
Ballatom is offline   Reply With Quote
Old 01-04-03, 04:26 PM   #2
volt
 
Join Date: Jul 2002
Location: /dev/null
Posts: 1,556
Default

don't use RPM's with slackware.

follow the instructions here:
http://www.nvnews.net/vbulletin/show...&threadid=5785
__________________
[b]Optimization guidelines by Koji Ashida of NVIDIA:[/b][list][*]Use fx12 instructions whenever possible[*]Use lowest pixel shader version[/list][url=http://developer.nvidia.com/docs/IO/10878/ChinaJoy2004_OptimizationAndTools.pdf]source[/url]

[size=1]The politics are invading the technology. We don't really like to mess with politics because that kind of adversarial relationship has nothing to do with pure technical operations and the technical specifications of what we like to play with, the hardware![/size]
volt is offline   Reply With Quote
Old 01-05-03, 01:40 AM   #3
ul_Gonemini
Registered User
 
Join Date: Jan 2003
Location: seattle washington
Posts: 1
Default slack 8.1

just download the source, and compile it.
if you have a 2.5.5~ kernel, you need to go to http://www.minion.de/nvidia.html
for the patch to make the driver work for the 2.5 kernel's. but if you have a kernel like 2.4.18 to 2.4.20 then you should be fine with the drivers.

to install:

1. ./configure && make && make install && ldconfig
2. modify your xfree86 file and it should work.
ul_Gonemini is offline   Reply With Quote
Old 01-05-03, 06:11 AM   #4
Ballatom
Registered User
 
Join Date: Jan 2003
Posts: 5
Default

Thanks it worked. It is even easier from the tar than from the RPMs or SRPMs...

Marc
Ballatom is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Regression with 295.33 and GeForce GT 240 maro NVIDIA Linux 16 06-29-12 06:47 PM
X Failed to load NVdriver c00lr4c3r NVIDIA Linux 13 10-22-02 01:44 PM
Nvidia Problems in Slackware 8.1 xtreme NVIDIA Linux 3 10-01-02 12:03 PM
Nvidia drivers won't compile with Slackware 8.0 z28Power NVIDIA Linux 6 09-18-02 06:20 PM
kernel: NV0: isr request failed 0xfffffff0 Shark NVIDIA Linux 13 09-11-02 11:01 AM

All times are GMT -5. The time now is 11:08 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.